export GOPATH=$PWD
export PATH=$PATH:$PWD/bin
export GOBIN=$PWD/bin
export RPC_PATH=$PWD/neuralnetwork/remotecontrol

go get github.com/golang/protobuf/protoc-gen-go
go install ./src/github.com/golang/protobuf/protoc-gen-go

mkdir -p $RPC_PATH
rm -f $RPC_PATH/*.pb.go
protoc -I$RPC_PATH --go_out=plugins=grpc:$RPC_PATH $RPC_PATH/remotecontrol.proto

cd neuralnetwork

go get -v
go build -o $GOBIN/neuralnetwork
pushd $GOPATH/neuralnetwork/neuralnetwork/
go test -v -cover
popd
# go test -cover
